import { BackendErrorObjectInput, InputMaybe, MetricInput, Sdk } from './graph/generated/operations';
import { NodeOptions } from './types';
import { ErrorContext } from './errorContext';
export interface StackFrameWithSource extends Pick<StackFrame, 'args' | 'evalOrigin' | 'isConstructor' | 'isEval' | 'isNative' | 'isToplevel' | 'columnNumber' | 'lineNumber' | 'fileName' | 'functionName' | 'source'> {
    lineContent?: string;
    linesBefore?: string;
    linesAfter?: string;
}
export declare class Highlight {
    readonly FLUSH_TIMEOUT = 10;
    readonly BACKEND_SETUP_TIMEOUT: number;
    _graphqlSdk: Sdk;
    _backendUrl: string;
    _intervalFunction: ReturnType<typeof setInterval>;
    errors: Array<InputMaybe<BackendErrorObjectInput>>;
    metrics: Array<InputMaybe<MetricInput>>;
    lastBackendSetupEvent: number;
    _errorContext: ErrorContext | undefined;
    constructor(options: NodeOptions);
    recordMetric(secureSessionId: string, name: string, value: number, requestId?: string): void;
    consumeCustomError(error: Error, secureSessionId: string, requestId: string): void;
    consumeCustomEvent(secureSessionId: string): void;
    flushErrors(): void;
    flushMetrics(): void;
    flush(): void;
}
