import LRU from 'lru-cache';
interface StackFrameContext {
    lineContent: string | undefined;
    linesBefore: string | undefined;
    linesAfter: string | undefined;
}
interface ErrorContextOptions {
    sourceContextCacheSizeMB?: number;
}
interface FileLines {
    lines: Map<number, string>;
    size: number;
}
export declare class ErrorContext {
    _sourceContextCacheSizeMB: number | undefined;
    _cache: LRU<string, FileLines>;
    constructor(options: ErrorContextOptions);
    _getOrLoadLines(filename: string): Map<number, string>;
    getStackFrameContext(filename: string, lineNumber: number): StackFrameContext;
}
export {};
